<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwhd__ap__info" kind="struct" language="C++" prot="public">
    <compoundname>whd_ap_info</compoundname>
    <includes local="no">whd_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwhd__ap__info_1ae3940d431c3c3ed25294eb70a02c330b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwhd__ssid__t">whd_ssid_t</ref></type>
        <definition>whd_ssid_t SSID</definition>
        <argsstring />
        <name>SSID</name>
        <briefdescription>
<para>Service Set Identification (i.e. </para>
        </briefdescription>
        <detaileddescription>
<para>Name of Access Point) </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" bodystart="906" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" line="906" />
      </memberdef>
      <memberdef id="structwhd__ap__info_1acff14471b28062500a2992114ae54765" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwhd__mac__t">whd_mac_t</ref></type>
        <definition>whd_mac_t BSSID</definition>
        <argsstring />
        <name>BSSID</name>
        <briefdescription>
<para>Basic Service Set Identification (i.e. </para>
        </briefdescription>
        <detaileddescription>
<para>MAC address of Access Point) </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" bodystart="907" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" line="907" />
      </memberdef>
      <memberdef id="structwhd__ap__info_1ac303b69da3c469c92299a6ff260e2859" kind="variable" mutable="no" prot="public" static="no">
        <type>int16_t</type>
        <definition>int16_t signal_strength</definition>
        <argsstring />
        <name>signal_strength</name>
        <briefdescription>
<para>Receive Signal Strength Indication in dBm. </para>
        </briefdescription>
        <detaileddescription>
<para>&lt;-90=Very poor, &gt;-30=Excellent </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" bodystart="908" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" line="908" />
      </memberdef>
      <memberdef id="structwhd__ap__info_1a2deb22a1108e6c9371d92d496c07da01" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t max_data_rate</definition>
        <argsstring />
        <name>max_data_rate</name>
        <briefdescription>
<para>Maximum data rate in kilobits/s. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" bodystart="909" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" line="909" />
      </memberdef>
      <memberdef id="structwhd__ap__info_1ad1f59c68ce8ec9dad45866f67ee0ef44" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="whd__types_8h_1a3070614a06a8989b9eb207e9f1286c5f">whd_bss_type_t</ref></type>
        <definition>whd_bss_type_t bss_type</definition>
        <argsstring />
        <name>bss_type</name>
        <briefdescription>
<para>Network type. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" bodystart="910" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" line="910" />
      </memberdef>
      <memberdef id="structwhd__ap__info_1ae8d5baabacdabe6d3590465572849754" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="whd__types_8h_1aaeeea5666743710aa4f01ff264b27059">whd_security_t</ref></type>
        <definition>whd_security_t security</definition>
        <argsstring />
        <name>security</name>
        <briefdescription>
<para>Security type. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" bodystart="911" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" line="911" />
      </memberdef>
      <memberdef id="structwhd__ap__info_1a715f5cb061d11eb75981741eda4dafcd" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t channel</definition>
        <argsstring />
        <name>channel</name>
        <briefdescription>
<para>Radio channel that the AP beacon was received on. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" bodystart="912" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" line="912" />
      </memberdef>
      <memberdef id="structwhd__ap__info_1aee4db592d40d1e5a4305eb6ba177c1d7" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="whd__types_8h_1aa57cbd1826f7022123be8ec0ac352d85">whd_802_11_band_t</ref></type>
        <definition>whd_802_11_band_t band</definition>
        <argsstring />
        <name>band</name>
        <briefdescription>
<para>Radio band. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" bodystart="913" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" line="913" />
      </memberdef>
      <memberdef id="structwhd__ap__info_1a79b534cf566945b2c8b016126425102b" kind="variable" mutable="no" prot="public" static="no">
        <type>struct <ref kindref="compound" refid="structwhd__ap__info">whd_ap_info</ref> *</type>
        <definition>struct whd_ap_info* next</definition>
        <argsstring />
        <name>next</name>
        <briefdescription>
<para>Pointer to the next scan result. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" bodystart="914" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" line="914" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure for storing AP information. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="2">
        <label>whd_ssid_t</label>
        <link refid="structwhd__ssid__t" />
      </node>
      <node id="3">
        <label>whd_mac_t</label>
        <link refid="structwhd__mac__t" />
      </node>
      <node id="1">
        <label>whd_ap_info</label>
        <link refid="structwhd__ap__info" />
        <childnode refid="2" relation="usage">
          <edgelabel>SSID</edgelabel>
        </childnode>
        <childnode refid="3" relation="usage">
          <edgelabel>BSSID</edgelabel>
        </childnode>
        <childnode refid="1" relation="usage">
          <edgelabel>next</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="915" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" bodystart="904" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" line="905" />
    <listofallmembers>
      <member prot="public" refid="structwhd__ap__info_1aee4db592d40d1e5a4305eb6ba177c1d7" virt="non-virtual"><scope>whd_ap_info</scope><name>band</name></member>
      <member prot="public" refid="structwhd__ap__info_1ad1f59c68ce8ec9dad45866f67ee0ef44" virt="non-virtual"><scope>whd_ap_info</scope><name>bss_type</name></member>
      <member prot="public" refid="structwhd__ap__info_1acff14471b28062500a2992114ae54765" virt="non-virtual"><scope>whd_ap_info</scope><name>BSSID</name></member>
      <member prot="public" refid="structwhd__ap__info_1a715f5cb061d11eb75981741eda4dafcd" virt="non-virtual"><scope>whd_ap_info</scope><name>channel</name></member>
      <member prot="public" refid="structwhd__ap__info_1a2deb22a1108e6c9371d92d496c07da01" virt="non-virtual"><scope>whd_ap_info</scope><name>max_data_rate</name></member>
      <member prot="public" refid="structwhd__ap__info_1a79b534cf566945b2c8b016126425102b" virt="non-virtual"><scope>whd_ap_info</scope><name>next</name></member>
      <member prot="public" refid="structwhd__ap__info_1ae8d5baabacdabe6d3590465572849754" virt="non-virtual"><scope>whd_ap_info</scope><name>security</name></member>
      <member prot="public" refid="structwhd__ap__info_1ac303b69da3c469c92299a6ff260e2859" virt="non-virtual"><scope>whd_ap_info</scope><name>signal_strength</name></member>
      <member prot="public" refid="structwhd__ap__info_1ae3940d431c3c3ed25294eb70a02c330b" virt="non-virtual"><scope>whd_ap_info</scope><name>SSID</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>